Introduction
===
`js-conflux-sdk` is a Javascript library for interacting with Conflux.

It’s commonly found in decentralized apps (dapps) to help with sending transactions, interacting with smart contracts, reading block data, and a variety of other use cases.

## Getting Started

* Unfamiliar with Conflux? → [confluxnetwork](http://confluxnetwork.org/zh/)
* Ready to code? → [Quickstart](./quick_start.md)
* Interested in a quick tour? → [Overview](./overview.md)
* Like to give back? → [Contribute](https://github.com/conflux-chain/js-conflux-sdk)

## Table of Contents

* [Quickstart](./quick_start.md)
* [Overview](./overview.md)
* [Changelog](../CHANGE_LOG.md)

## Guides

## API
* [API](./api.md)

## Other Docs

1. [Official developer documentation](https://developer.conflux-chain.org/)
2. [RPC](https://developer.conflux-chain.org/docs/conflux-doc/docs/json_rpc)
3. [Subscribtion](https://developer.conflux-chain.org/docs/conflux-doc/docs/pubsub)
4. [Conflux Portal](https://portal.conflux-chain.org/)